%define fw_version 5.24

Summary:	KDE Frameworks 5 QML integration module
Name:		kdeclarative
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5globalaccel-devel >= %{version}
BuildRequires:	kf5guiaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5package-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 QML integration module.

KDeclarative provides integration of QML and KDE workspaces. It's comprises
two parts: a library used by the C++ part of your application to intergrate
QML with KDE Frameworks specific features, and a series of QML imports that
offer bindings to some of the Frameworks.

%files
%{_kde5_bindir}/kpackagelauncherqml

#----------------------------------------------------------------------------

%package i18n
Summary:	KDeclarative translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDeclarative translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define qmlkf5declarative %mklibname kf5declarative-qml

%package -n %{qmlkf5declarative}
Summary:	QML plugins for KDE Frameworks 5 KDeclarative
Group:		System/Libraries
Provides:	kf5declarative-qml = %{EVRD}

%description -n %{qmlkf5declarative}
QML plugins for KDE Frameworks 5 KDeclarative:
 * draganddrop
 * kcoreaddons
 * kio
 * kquickcontrols
 * kquickcontrolsaddons

%files -n %{qmlkf5declarative}
%dir %{_kde5_qmldir}/org/kde/draganddrop/
%{_kde5_qmldir}/org/kde/draganddrop/*
%dir %{_kde5_qmldir}/org/kde/kcoreaddons/
%{_kde5_qmldir}/org/kde/kcoreaddons/*
%dir %{_kde5_qmldir}/org/kde/kio/
%{_kde5_qmldir}/org/kde/kio/*
%dir %{_kde5_qmldir}/org/kde/kquickcontrols/
%{_kde5_qmldir}/org/kde/kquickcontrols/*
%dir %{_kde5_qmldir}/org/kde/kquickcontrolsaddons/
%{_kde5_qmldir}/org/kde/kquickcontrolsaddons/*
%dir %{_kde5_qmldir}/org/kde/private/kquickcontrols/
%{_kde5_qmldir}/org/kde/private/kquickcontrols/*
%dir %{_kde5_qmldir}/org/kde/kwindowsystem/
%{_kde5_qmldir}/org/kde/kwindowsystem/*

#----------------------------------------------------------------------------

%define kf5calendarevents_major 5
%define libkf5calendarevents %mklibname kf5calendarevents %{kf5calendarevents_major}

%package -n %{libkf5calendarevents}
Summary:	KDE Frameworks 5 QML integration shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	%{qmlkf5declarative}

%description -n %{libkf5calendarevents}
KDE Frameworks 5 QML integration shared library.

%files -n %{libkf5calendarevents}
%{_kde5_libdir}/libKF5CalendarEvents.so.%{kf5calendarevents_major}*

#----------------------------------------------------------------------------

%define kf5declarative_major 5
%define libkf5declarative %mklibname kf5declarative %{kf5declarative_major}

%package -n %{libkf5declarative}
Summary:	KDE Frameworks 5 QML integration shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n
Requires:	%{qmlkf5declarative}

%description -n %{libkf5declarative}
KDE Frameworks 5 QML integration shared library.

%files -n %{libkf5declarative}
%{_kde5_libdir}/libKF5Declarative.so.%{kf5declarative_major}*

#----------------------------------------------------------------------------

%define kf5quickaddons_major 5
%define libkf5quickaddons %mklibname kf5quickaddons %{kf5quickaddons_major}

%package -n %{libkf5quickaddons}
Summary:	KDE Frameworks 5 QML integration shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	%{qmlkf5declarative}

%description -n %{libkf5quickaddons}
KDE Frameworks 5 QML integration shared library.

%files -n %{libkf5quickaddons}
%{_kde5_libdir}/libKF5QuickAddons.so.%{kf5quickaddons_major}*

#----------------------------------------------------------------------------

%define devkf5declarative %mklibname kf5declarative -d

%package -n %{devkf5declarative}
Summary:	Development files for KDE Frameworks 5 QML integration module
Group:		Development/KDE and Qt
Requires:	%{libkf5calendarevents} = %{EVRD}
Requires:	%{libkf5declarative} = %{EVRD}
Requires:	%{libkf5quickaddons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5declarative-devel = %{version}

%description -n %{devkf5declarative}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5declarative}
%{_kde5_includedir}/KF5/KDeclarative
%{_kde5_includedir}/KF5/kdeclarative_version.h
%{_kde5_libdir}/cmake/KF5Declarative
%{_kde5_libdir}/libKF5CalendarEvents.so
%{_kde5_libdir}/libKF5Declarative.so
%{_kde5_libdir}/libKF5QuickAddons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (caeccb9) New version 5.24.0


